## lablie 0.6.1

=== docs/src/cli-examples/92-batch-instacing-using-makefile/Makefile ===
OUT_DIR:=output
TMP_DIR:=tmp

LABEL_PAPER := --paper-size 210 297 --label-offset 5 13.5 --label-size 100 30 --label-delta 0 0

PRODUCT_JSON_FILES  := $(wildcard product_*.json)
PRODUCT_PDF_FILES   := $(patsubst product_%.json,${OUT_DIR}/product_%.pdf,${PRODUCT_JSON_FILES})

all: ${PRODUCT_PDF_FILES}

${OUT_DIR}/%.pdf: ${TMP_DIR}/%.svg | ${OUT_DIR}
	mkdir -p $$(dirname "$@")
	inkscape --file="$<" --without-gui --export-pdf="$@"

${TMP_DIR}/%.svg: %.json label.svg | ${TMP_DIR}
	lablie tile ${LABEL_PAPER} --instance-json "$<" label.svg "$@"

${TMP_DIR}:
	mkdir -p $@

${OUT_DIR}:
	mkdir -p $@

## lablie 0.6.0

=== debian/changelog ===
lablie (0.6.0-1) unstable; urgency=medium

  * Initial release (Closes: #927737)

 -- Miroslav Kravec <kravec.miroslav@gmail.com>  Mon, 22 Apr 2019 14:25:17 +0200

=== debian/control ===
Source: lablie
Section: utils
Priority: optional
Maintainer: Miroslav Kravec <kravec.miroslav@gmail.com>
Uploaders: tony mancill <tmancill@debian.org>
Build-Depends:
 debhelper (>= 11),
 default-jre-headless (>=1.8),
 gradle-debian-helper (>=1.6),
 junit4,
 libbatik-java,
 libjackson2-databind-java,
 libcommons-collections4-java,
 libcommons-csv-java (>=1.5),
 libcommons-jexl3-java,
 liblightvalue-gradle-plugin-java,
 libpicocli-java (>=3.9.1),
 maven-repo-helper
Standards-Version: 4.3.0
Homepage: https://gitlab.com/kravemir/lablie
Vcs-Browser: https://salsa.debian.org/debian/lablie
Vcs-Git: https://salsa.debian.org/debian/lablie.git

Package: lablie
Architecture: all
Depends:
 ${misc:Depends},
 default-jre-headless (>=1.8),
 libbatik-java,
 libcommons-csv-java (>=1.5),
 libcommons-jexl3-java,
 libjackson2-databind-java,
 libpicocli-java (>=3.9.1)
Description: CLI tool for printable labels generation from SVG templates
 SVG labels is designed to be simply usable tool for generation of printable
 documents with labels to print. Documents can be generated from SVG image,
 or SVG template with instance(s) data.

## lablie 0.6.1

=== debian/changelog ===
lablie (0.6.1-3) unstable; urgency=medium

  * Add patch for jackson datamapper (Closes: #941687)
  * Specify debhelper compat via debhelper-compat dependency
  * Bump Standards-Version to 4.4.1
  * Set "Rules-Requires-Root: no" in debian/control

 -- tony mancill <tmancill@debian.org>  Fri, 06 Dec 2019 06:29:13 -0800

lablie (0.6.1-2) unstable; urgency=medium

  * debian/patches: make build reproducible with SOURCE_DATE_EPOCH

 -- Miroslav Kravec <kravec.miroslav@gmail.com>  Sat, 14 Sep 2019 11:58:12 +0200

lablie (0.6.1-1) unstable; urgency=medium

  * New upstream release
  * debian/compat: bump to 12
  * debian/control: update standards to 4.4.0, require debhelper >= 12
  * debian/lablie.poms: Adjust versions in JAR filenames in debian/lablie.poms
  * debian/patches: adjust debian patches for new release

 -- Miroslav Kravec <kravec.miroslav@gmail.com>  Thu, 05 Sep 2019 19:20:01 +0200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Miroslav Kravec <kravec.miroslav@gmail.com>
 Uploaders: tony mancill <tmancill@debian.org>
 Build-Depends:
- debhelper (>= 11),
+ debhelper-compat (= 12),
  default-jre-headless (>=1.8),
  gradle-debian-helper (>=1.6),
  junit4,
@@ -16,10 +16,11 @@
  liblightvalue-gradle-plugin-java,
  libpicocli-java (>=3.9.1),
  maven-repo-helper
-Standards-Version: 4.3.0
+Standards-Version: 4.4.1
 Homepage: https://gitlab.com/kravemir/lablie
 Vcs-Browser: https://salsa.debian.org/debian/lablie
 Vcs-Git: https://salsa.debian.org/debian/lablie.git
+Rules-Requires-Root: no
 
 Package: lablie
 Architecture: all

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --buildsystem=gradle --with maven-repo-helper

override_dh_auto_build:
	dh_auto_build -- jar generateManPage

=== debian/watch ===
version=4
opts="repack,compression=xz" \
https://gitlab.com/kravemir/lablie/tags (?:.*?/)?(?:lablie-)?(\d[\d.]*)\.tar\.gz
